<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Web Components</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="../../assets/styles/index.css">
    <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
    <script type="module" src="https://cdn.jsdelivr.net/gh/zerodevx/zero-md@2/dist/zero-md.min.js"></script>
</head>

<body>
    <div class="row container">
        <div class="sidebar">
            <ul>
                <li><a class="title">Samples</a></li>
                <li><a class="active" onclick="show(this, './webapps')" id="webAppDoc">Getting Started</a></li>
                <li><a onclick="show(this, './webapps/asset-picker')">Asset Picker</a></li>
                <li><a onclick="show(this, './webapps/checkin')">Asset Checkin</a></li>
                <li><a onclick="show(this, './webapps/collection-browse')"> Collection Browse</a></li>
                <li><a onclick="show(this, './webapps/query')">Query Result</a></li>
                <li><a class="title">Extensibility</a></li>
                <li><a onclick="show(this, './extensibility', 'extensibility-in-entity-actions')">Extensibility in Entity Actions</a>
                </li>
                <li><span class="bull">&bull;</span><a onclick="show(this, './extensibility', 'action-objects')">Action Objects</a></li>
                <li><span class="bull">&bull;</span><a onclick="show(this, './extensibility', 'action-type-examples')">Action Type Examples</a></li>
                <li><span class="bull">&bull;</span><a onclick="show(this, './extensibility', 'visibility-handler')">Visibility Handler</a></li>
                <li><a onclick="show(this, './extensibility', 'extensibility-in-tabs')">Extensibility in Tabs</a></li>
                <li><span class="bull">&bull;</span><a onclick="show(this, './extensibility', 'tab-type-examples')">Tab Type Examples</a></li>
                <li><span class="bull">&bull;</span><a onclick="show(this, './extensibility', 'custom-angular-library-plugin')">Custom Angular Library Plugin</a></li>
                <li><a onclick="show(this, './extensibility', 'callback-hooksevents')">Callback Hooks/Events</a></li>
                <li><a onclick="show(this, './extensibility', 'configuration')">Configuration</a></li>
            </ul>
        </div>
        <div class="content-container">
            <zero-md id="markdown" src="./webapps/README.md"></zero-md>
            <div id="additionalLinks" class="hide">
                <p>
                    To get started <a onclick="show(webAppDoc, './webapps')">click here</a>
                </p>
                <p>
                    To download sample <a id="downloadLink" href="#" target="_blank">click here</a>
                </p>
            </div>
        </div>
    </div>
    <script>

        // Opening all links in md file in new tab
        markdown.addEventListener('zero-md-rendered', function () {
            var anchors = markdown.root.querySelectorAll('a')
            anchors.forEach(a => {
                if (a.href.indexOf("https") >= 0) {
                    a.setAttribute('target', '_blank')
                }
            });

            jumpToAchor()
           
        });

        // Selects element from list and renders corresponding README.md
        function show(elem, path, jumpTo) {
            document.querySelectorAll('.active').forEach(e => {
                e.classList.remove("active");
            });

            elem.classList.add("active");
            downloadLink.href = path + "/sample.zip";

            markdown.src = path + "/README.md"
            markdown.jumpTo = jumpTo
            jumpToAchor()
           
            var addtionalLinkElem = additionalLinks;
            if (path !== "./webapps" && path !== "./extensibility") {
                addtionalLinkElem.classList.remove("hide");
            } else {
                addtionalLinkElem.classList.add("hide");
            }
        }

        function jumpToAchor() {
            if(markdown.jumpTo) {
                var elem = markdown.root.querySelector('#' + markdown.jumpTo);
                elem && elem.scrollIntoView();
            }
        }
    </script>
</body>

</html>